Subject: Re: bug#26253: Coreutils 8.26 test failure on arm-linux-gnueabihf

From: [email-masked] (Ludovic Courtès)
Date: Sat, 25 Mar 2017 22:30:51 +0100

Leo Famulari <[email-masked]> skribis:

> On Sat, Mar 25, 2017 at 04:45:33PM +0100, Ludovic Courtès wrote:
>> In current ‘core-updates’ (7fdca77e007f0838ecd32b044827678f2b345ff0),
>> tests/misc/cut-huge-range.sh in Coreutils 8.26 fails reproducibly in the
>> chroot build environment; it succeeds outside of it.
>
> [...]
>
>> So the two lines that fail are these:
>> 
>> --8<---------------cut here---------------start------------->8---
>> # Explicitly disallow values above CUT_MAX
>> (ulimit -v $vm && returns_ 1 cut -b$SIZE_MAX /dev/null 2>/dev/null) || fail=1
>> (ulimit -v $vm && returns_ 1 cut -b$SIZE_OFLOW /dev/null 2>/dev/null) || fail=1
>> --8<---------------cut here---------------end--------------->8---
>> 
>> I don’t understand why at this point, but I found that removing
>> “2>/dev/null” from these two lines lets the test pass (and AIUI, this
>> redirection is not necessary for the test; it just hides the
>
> Is the same Bash shared between these two test environments (inside and
> outside of the chroot)?

Yes.  For the outside test, I just did “guix build -K” and then “source
environment-variables”, which should give me the right $SHELL and so on.

Ludo’.